求教,一个fstab的错误。

为当前最终发行版之前的所有版本提供支持
回复
veapon
帖子: 9
注册时间: 2010-09-10 3:44
送出感谢: 0
接收感谢: 0

求教,一个fstab的错误。

#1

帖子 veapon » 2011-02-04 20:48

RT。
本来想自动挂载WIN下的NTFS分区,于是修改了,/etc/fstab这个文件。
挂载了三个分区,重启后,登录前有个错误提示:an error occur when init /etc/fstab ,然后是提示其中一个挂载的分区(sda5)有错,我按S跳过,启动后发现另外两个分区已经挂上叻,还有一个分区(sda5)用磁盘使用工具看已经挂载到/host下了,于是把挂载sda5那一行删了,重启,但还是提示有错,于是我把fstab修改过的全给删了,但重启后仍提示有错,按s跳过还能进入系统。
我又试着把fstab全注释了,但还是有错...
虽然不影响正常使用,但每次进来都要按s的话,还是有点麻烦的,求大虾帮助...

这些应该是fstab原来的内容:
/etc/fstab: static file system information.
#
# Use 'blkid -o value -s UUID' to print the universally unique identifier
# for a device; this may be used with UUID= as a more robust way to name
# devices that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc nodev,noexec,nosuid 0 0
/host/ubuntu/disks/root.disk / ext4 loop,errors=remount-ro 0 1
/host/ubuntu/disks/swap.disk none swap loop,sw 0 0
~
头像
weatny
帖子: 67
注册时间: 2010-12-26 17:32
来自: 火星
送出感谢: 0
接收感谢: 0
联系:

Re: 求教,一个fstab的错误。

#2

帖子 weatny » 2011-02-05 12:18

当初为什么不用 ntfs-config 工具
直接开机自动挂载win下的ntfs分区 还不出错误
fedora下 我当时自己修改了fstab文件 倒没出问题,因为fedora里面没找到 配置工具
ubuntu里面有了配置工具了 自然就用现成的了
正在逐步向Linux过渡,大家多多帮助

Ubuntu 10.04 LTS 使用中
jtshs256
论坛版主
帖子: 22322
注册时间: 2010-07-19 21:41
系统: OS X
送出感谢: 2 次
接收感谢: 27 次

Re: 求教,一个fstab的错误。

#3

帖子 jtshs256 » 2011-02-05 12:43

wubi?
NO DO NO DIE
http://a/%%30%30
veapon
帖子: 9
注册时间: 2010-09-10 3:44
送出感谢: 0
接收感谢: 0

Re: 求教,一个fstab的错误。

#4

帖子 veapon » 2011-02-05 14:01

@weatny:
ntfs-config安装没报错,但运行ntfs-config时出现以下错误:
Traceback (most recent call last):
File "/usr/bin/ntfs-config", line 102, in <module>
main(args, opts)
File "/usr/bin/ntfs-config", line 75, in main
app = NtfsConfig()
File "/usr/lib/pymodules/python2.6/NtfsConfig/NtfsConfig.py", line 56, in __init__
os.mkdir(HAL_CONFIG_DIR)
OSError: [Errno 2] 没有那个文件或目录: '/etc/hal/fdi/policy'

@jtshs256:
是用wubi装的...
头像
weatny
帖子: 67
注册时间: 2010-12-26 17:32
来自: 火星
送出感谢: 0
接收感谢: 0
联系:

Re: 求教,一个fstab的错误。

#5

帖子 weatny » 2011-02-05 15:42

veapon 写了:@weatny:
ntfs-config安装没报错,但运行ntfs-config时出现以下错误:
Traceback (most recent call last):
File "/usr/bin/ntfs-config", line 102, in <module>
main(args, opts)
File "/usr/bin/ntfs-config", line 75, in main
app = NtfsConfig()
File "/usr/lib/pymodules/python2.6/NtfsConfig/NtfsConfig.py", line 56, in __init__
os.mkdir(HAL_CONFIG_DIR)
OSError: [Errno 2] 没有那个文件或目录: '/etc/hal/fdi/policy'

@jtshs256:
是用wubi装的...
这个嘛 我就真不知道了,估计是你先改fstab文件的缘故
正在逐步向Linux过渡,大家多多帮助

Ubuntu 10.04 LTS 使用中
回复

回到 “老旧版本支持”